/*
 Network Stack for PSoC3-ENC28J60 hardware
 -----------------------------------------
 Title  : Global Variables declaration file
 Author : Kartik Mankad
 Date : 30-06-12
 This code is licensed as CC-BY-SA 3.0
 Description : This file contains declarations of
               the global variables used.

 You may edit Router IP,DNS Server IP and Webserver,Webclient Port here.
*/

#include "globals.h"



/**Edit values as per your configuration**/

/*IP Address of the Router*/
//unsigned char routerIP[4]={192,168,1,120};
unsigned char routerIP[4]={192,168,0,1};

/*IP Address of a Server*/
/*For DNS and Webclient*/
 //unsigned char serverIP[4]={192,168,1,120};
 unsigned char serverIP[4]={192,168,0,1};
 //
/*IP Address of the DNS Server*/
//unsigned char dnsIP[4]={192,168,1,120};
unsigned char dnsIP[4]={192,168,0,1};

 
#if (defined(__C51__)) 
    /*Webserver Port*/
    short WWWPort=80;
#else 
    short WWWPort=20480;
#endif 



/*WebClient Port*/
short WClientPort=15979;
//unsigned int WClientPort=15979;

/*Source UDP Packet for sending UDP Packets*/
short UDPPort=1200;
//unsigned int UDPPort=1200;
/***********************************************/
/***Do not assign values to variables below.***/

/*IP Address of the ENC28J60*/
unsigned char deviceIP[4];

/*MAC Address of the ENC28J60*/
unsigned char deviceMAC[6];

/*MAC Address of the Router*/
unsigned char routerMAC[6];
unsigned char WebClientStatus=0;

unsigned char WebClientQuery[250];
/* [] END OF FILE */